<?php
/**
 * Active Callbacks
 *
 * @package events_and_celebrations
 */

// Theme Options.
function events_and_celebrations_is_pagination_enabled( $events_and_celebrations_control ) {
	return ( $events_and_celebrations_control->manager->get_setting( 'events_and_celebrations_enable_pagination' )->value() );
}
function events_and_celebrations_is_breadcrumb_enabled( $events_and_celebrations_control ) {
	return ( $events_and_celebrations_control->manager->get_setting( 'events_and_celebrations_enable_breadcrumb' )->value() );
}
function events_and_celebrations_is_layout_enabled( $events_and_celebrations_control ) {
	return ( $events_and_celebrations_control->manager->get_setting( 'events_and_celebrations_website_layout' )->value() );
}
function events_and_celebrations_is_pagetitle_bcakground_image_enabled( $events_and_celebrations_control ) {
	return ( $events_and_celebrations_control->manager->get_setting( 'events_and_celebrations_page_header_style' )->value() );
}
function events_and_celebrations_is_preloader_style( $events_and_celebrations_control ) {
	return ( $events_and_celebrations_control->manager->get_setting( 'events_and_celebrations_enable_preloader' )->value() );
}

// Banner Slider Section.
function events_and_celebrations_is_banner_slider_section_enabled( $events_and_celebrations_control ) {
	return ( $events_and_celebrations_control->manager->get_setting( 'events_and_celebrations_enable_banner_section' )->value() );
}
function events_and_celebrations_is_banner_slider_section_and_content_type_post_enabled( $events_and_celebrations_control ) {
	$events_and_celebrations_content_type = $events_and_celebrations_control->manager->get_setting( 'events_and_celebrations_banner_slider_content_type' )->value();
	return ( events_and_celebrations_is_banner_slider_section_enabled( $events_and_celebrations_control ) && ( 'post' === $events_and_celebrations_content_type ) );
}
function events_and_celebrations_is_banner_slider_section_and_content_type_page_enabled( $events_and_celebrations_control ) {
	$events_and_celebrations_content_type = $events_and_celebrations_control->manager->get_setting( 'events_and_celebrations_banner_slider_content_type' )->value();
	return ( events_and_celebrations_is_banner_slider_section_enabled( $events_and_celebrations_control ) && ( 'page' === $events_and_celebrations_content_type ) );
}

// Services section.
function events_and_celebrations_is_post_tab_section_and_content_type_page_enabled( $events_and_celebrations_control ) {
	$events_and_celebrations_content_type = $events_and_celebrations_control->manager->get_setting( 'events_and_celebrations_slider_slider_content_type' )->value();
	return ( events_and_celebrations_is_slider_section_enabled( $events_and_celebrations_control ) && ( 'page' === $events_and_celebrations_content_type ) );
}
function events_and_celebrations_is_post_tab_section_and_content_type_post_enabled( $events_and_celebrations_control ) {
	$events_and_celebrations_content_type = $events_and_celebrations_control->manager->get_setting( 'events_and_celebrations_slider_slider_content_type' )->value();
	return ( events_and_celebrations_is_slider_section_enabled( $events_and_celebrations_control ) && ( 'post' === $events_and_celebrations_content_type ) );
}
function events_and_celebrations_is_services_section_enabled( $events_and_celebrations_control ) {
	return ( $events_and_celebrations_control->manager->get_setting( 'events_and_celebrations_enable_services_section' )->value() );
}
function events_and_celebrations_is_services_section_and_content_type_post_enabled( $events_and_celebrations_control ) {
	$events_and_celebrations_content_type = $events_and_celebrations_control->manager->get_setting( 'events_and_celebrations_services_content_type' )->value();
	return ( events_and_celebrations_is_services_section_enabled( $events_and_celebrations_control ) && ( 'post' === $events_and_celebrations_content_type ) );
}
function events_and_celebrations_is_services_section_and_content_type_page_enabled( $events_and_celebrations_control ) {
	$events_and_celebrations_content_type = $events_and_celebrations_control->manager->get_setting( 'events_and_celebrations_services_content_type' )->value();
	return ( events_and_celebrations_is_services_section_enabled( $events_and_celebrations_control ) && ( 'page' === $events_and_celebrations_content_type ) );
}